globus_gram_jobmanager_callout_error_activation(3)

NAME
globus_gram_jobmanager_callout_error_activation - Activation.

SYNOPSIS

  Macros

#define GLOBUS_GRAM_JOBMANAGER_CALLOUT_ERROR_MODULE

Detailed Description

Activation.

Globus GRAM Jobmanager Callout Error API uses standard Globus module activation and deactivation. Before any Globus GRAM Jobmanager Callout Error API functions are called, the following function must be called:

globus_module_activate(GLOBUS_GRAM_JOBMANAGER_CALLOUT_ERROR_MODULE)

This function returns GLOBUS_SUCCESS if the Globus GRAM Jobmanager Callout Error API was successfully initialized, and you are therefore allowed to subsequently call Globus GRAM Jobmanager Callout Error API functions. Otherwise, an error code is returned, and Globus GSI Credential functions should not be subsequently called. This function may be called multiple times.

To deactivate Globus GRAM Jobmanager Callout Error API, the following function must be called:

globus_module_deactivate(GLOBUS_GRAM_JOBMANAGER_CALLOUT_ERROR_MODULE)

This function should be called once for each time Globus GRAM Jobmanager Callout Error API was activated.

Macro Definition Documentation

  #define GLOBUS_GRAM_JOBMANAGER_CALLOUT_ERROR_MODULE
Module descriptor

Author

Generated automatically by Doxygen for globus_gram_job_manager_callout_error from the source code.